﻿namespace Calculator
{
    internal class NumberElement : CalculationElement
    {
        public byte Value { get; }

        public NumberElement(byte value)
        {
            Value = value;
        }

        public override string ToString()
        {
            return Value.ToString();
        }

        public override bool Equals(object obj)
        {
            return Equals(obj as NumberElement);
        }

        public bool Equals(NumberElement other)
        {
            return other != null &&
                   Value == other.Value;
        }

        public override int GetHashCode()
        {
            return -1937169414 + Value.GetHashCode();
        }
    }
}